Bug 1287381 - python-twisted-16.1.1 is available
python-twisted-16.1.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-twisted (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 20:09 EST by Upstream Release Monitoring
Modified: 2016-07-10 01:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-twisted-16.2.0-2.fc24
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-10 01:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 15.5.0 (#1287381) (1.05 KB, patch)
2015-12-01 20:10 EST, Upstream Release Monitoring
no flags Details | Diff
Full spec for 15.5.0 (10.52 KB, text/plain)
2016-03-10 16:39 EST, Julien Enselme
no flags Details
Update to 15.5.0 (2.74 KB, patch)
2016-03-10 16:40 EST, Julien Enselme
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.42 KB, patch)
2016-03-15 08:20 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.42 KB, patch)
2016-04-04 08:20 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.42 KB, patch)
2016-04-11 08:33 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-12-01 20:09:59 EST
Latest upstream release: 15.5.0
Current version/release in rawhide: 15.4.0-2.fc24
URL: http://twistedmatrix.com/trac/wiki/Downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-12-01 20:10:17 EST
Created attachment 1101219 [details]
[patch] Update to 15.5.0 (#1287381)
Comment 2 Upstream Release Monitoring 2015-12-01 20:20:34 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12026156
Comment 3 Julien Enselme 2016-03-10 16:38:39 EST
I managed to update the package. Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13300805

The full spec and the diff from the last spec on master are attached.
Comment 4 Julien Enselme 2016-03-10 16:39 EST
Created attachment 1135050 [details]
Full spec for 15.5.0
Comment 5 Julien Enselme 2016-03-10 16:40 EST
Created attachment 1135051 [details]
Update to 15.5.0
Comment 6 Upstream Release Monitoring 2016-03-15 08:20:32 EDT
Latest upstream release: 16.0.0
Current version/release in rawhide: 15.4.0-3.fc24
URL: http://twistedmatrix.com/trac/wiki/Downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 7 Upstream Release Monitoring 2016-03-15 08:20:47 EDT
Patching or scratch build for python-twisted and version 15.4.0 FAILED.
See for details
Comment 8 Upstream Release Monitoring 2016-03-15 08:20:49 EDT
Created attachment 1136579 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 9 Upstream Release Monitoring 2016-03-15 08:20:52 EDT
Patches were not touched. All were applied properly
Comment 10 Julien Enselme 2016-03-29 06:09:44 EDT
Any plans to push this update? One of my package needs it (at least 15.5.0).
Comment 11 Upstream Release Monitoring 2016-04-04 08:20:41 EDT
Latest upstream release: 16.1.0
Current version/release in rawhide: 15.4.0-3.fc24
URL: http://twistedmatrix.com/trac/wiki/Downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4071/
Comment 12 Upstream Release Monitoring 2016-04-04 08:20:56 EDT
Patching or scratch build for python-twisted and version 15.4.0 FAILED.
See for details
Comment 13 Upstream Release Monitoring 2016-04-04 08:20:58 EDT
Created attachment 1143320 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 14 Upstream Release Monitoring 2016-04-04 08:21:00 EDT
Patches were not touched. All were applied properly
Comment 15 Upstream Release Monitoring 2016-04-11 08:32:53 EDT
Latest upstream release: 16.1.1
Current version/release in rawhide: 15.4.0-3.fc24
URL: http://twistedmatrix.com/trac/wiki/Downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4071/
Comment 16 Upstream Release Monitoring 2016-04-11 08:33:15 EDT
Patching or scratch build for python-twisted-15.4.0 failed.
Comment 17 Upstream Release Monitoring 2016-04-11 08:33:17 EDT
Created attachment 1145980 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 18 Upstream Release Monitoring 2016-04-11 08:33:19 EDT
Patches were not touched. All were applied properly
Comment 19 Julien Enselme 2016-05-05 05:20:56 EDT
I just did an update to 16.1.1. The relevant links are below. Can you do the update please?

Anyway, I asked in pkgdb to become co-maintainer of this package to push this update.

SRPM: http://dl.jujens.eu/SRPMS/python-twisted-16.1.1-1.fc23.src.rpm
SPEC: http://dl.jujens.eu/SPECS/python-twisted.spec
Comment 20 Upstream Release Monitoring 2016-05-12 06:11:13 EDT
churchyard's python-twisted-16.1.1-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=762210
Comment 21 Upstream Release Monitoring 2016-06-02 16:20:09 EDT
hguemar's python-twisted-16.1.1-3.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=770179
Comment 22 Fedora Update System 2016-06-26 18:02:33 EDT
python-twisted-16.2.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c2cd11eac
Comment 23 Fedora Update System 2016-06-26 18:11:28 EDT
python-twisted-16.2.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd1d324745
Comment 24 Fedora Update System 2016-06-27 20:27:10 EDT
python-twisted-16.2.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd1d324745
Comment 25 Fedora Update System 2016-06-28 00:25:20 EDT
python-twisted-16.2.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c2cd11eac
Comment 26 Fedora Update System 2016-07-09 19:54:17 EDT
python-twisted-16.2.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-07-10 01:59:29 EDT
python-twisted-16.2.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.